<xml></xml>

Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
DatabaseEnvironmentConfig..::.NoPanic Field
DatabaseEnvironmentConfig Class See Also Send Feedback

If true, Berkeley DB will ignore any panic state in the database environment. (Database environments in a panic state normally refuse all attempts to call Berkeley DB functions, throwing RunRecoveryException. This functionality should never be used for purposes other than debugging.

Namespace: BerkeleyDB
Assembly: libdb_dotnet50 (in libdb_dotnet50.dll) Version: 5.0.21.0

# Syntax

C#

    public bool NoPanic

Visual Basic (Declaration)

    Public NoPanic As Boolean

Visual C++

    public:
    bool NoPanic

# See Also

DatabaseEnvironmentConfig Class
BerkeleyDB Namespace